import 'package:test_sa/models/base.dart';
import 'package:test_sa/models/new_models/assigned_employee.dart';

class AssistantEmployees extends Base {
  AssistantEmployees({
    this.id,
    this.user,
  }) : super(name: user?.name, identifier: user?.id);

  AssistantEmployees.fromJson(dynamic json) {
    id = json['id'];
    user = json['user'] != null ? AssignedEmployee.fromJson(json['user']) : null;
    name = user?.name;
    identifier = user?.id;
  }

  num id;
  AssignedEmployee user;

  AssistantEmployees copyWith({
    num id,
    AssignedEmployee user,
  }) =>
      AssistantEmployees(
        id: id ?? this.id,
        user: user ?? this.user,
      );

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['id'] = id;
    if (user != null) {
      map['user'] = user.toJson();
    }
    return map;
  }
}
